<div class="main-container">
    <div class="marks-section">
        <h3>Marks greater than 70</h3>
        <div *ngFor="let element of data">
            <div *ngIf="element.studentScore>70">
                <app-student-marks [studentList]="data" [element]="element"></app-student-marks>
            </div>
        </div>
    </div>
    <div class="marks-section">
        <h3>Marks between 50 and 70</h3>
        <div *ngFor="let element of data">
            <div *ngIf="element.studentScore>=50 && element.studentScore<70">
                <app-student-marks [studentList]="data" [element]="element"></app-student-marks>
            </div>
        </div>
    </div> 
    <div class="marks-section">
        <h3>Marks less than 50</h3>
        <div *ngFor="let element of data">
            <div  *ngIf="element.studentScore<=50">
                <app-student-marks [studentList]="data" [element]="element"></app-student-marks>
            </div>
        </div>
    </div>
</div>


<!-- <div class="main-container">
    <div *ngfor="let element of data" class="list-container">
        <div *ngIf="element.studentScore>70"></div>
        <div *ngIf="element.studentScore>50 && element.studentScore<70"></div>
        <div *ngIf="element.studentScore<50"></div>
    </div>
</div> -->

<div class="main-container">
    <div *ngfor="let element of data" class="list-container">
        <div class="greater-than-70">
            <div class="highest-marks"></div>
        </div>
        <div class="between-50-and-70">
            <div class="medium-marks"></div>
        </div>
        <div class="less-than-50">
            <div class="least-marks"></div>
        </div>
    </div>
</div>